Subject: bug#17724: 24.4.50; regression: error "`recenter'ing a window that does not display current-buffer." when opening org-mode file

From: Eli Zaretskii <[email-masked]>
Date: Thu, 19 Jun 2014 17:58:19 +0300

> From: Nicolas Richard <[email-masked]>
> Cc: [email-masked],  [email-masked]
> Date: Thu, 19 Jun 2014 10:20:24 +0200
> 
> I suspect your local emacs-24 branch isn't the actual emacs-24
> branch.

Seconded.

> > cd .git ; cat config
> > $ cat config 
> > [core]
> > repositoryformatversion = 0
> > filemode = true
> > bare = false
> > logallrefupdates = true
> > [remote "origin"]
> > url = git://git.savannah.gnu.org/emacs.git
> > fetch = +refs/heads/*:refs/remotes/origin/*
> > [branch "master"]
> > remote = origin
> > merge = refs/heads/master
> 
> Shouldn't there be an entry for emacs-24 here ?

Indeed, there should be.  I do have it.

So I think Gregor's repository is botched, and suggest to remove it
and clone a new one.